EZ_LightModelf(3)

NAME
EZ_LightModelf, EZ_LightModelfv - set lighting model parameters

SYNOPSIS
#include <EZ.h>

void EZ_LightModelf(int attr, float values)
void EZ_LightModelfv(int attr, float *pvalues)

ARGUMENTS

attr Specifies which attribute is being updated. Must be one of EZ_LIGHT_MODEL_LOCAL_VIEWER, EZ_LIGHT_MODEL_AMBIENT or EZ_LIGHT_MODEL_TWO_SIDE.

values Specifies the values for the specified attr.

pvalues Specifies the values for the specified attr in an array of floats.

DESCRIPTION
EZ_LightModelf/EZ_LightModelfv sets lighting model parameters.

If attr is EZ_LIGHT_MODEL_AMBIENT, values should consist of 4 floats and pvalues should be an array of 4 floats, with each in interval [0.0, 1.0].

If attr is EZ_LIGHT_MODEL_LOCAL_VIEWER or EZ_LIGHT_MODEL_TWO_SIDE, values should be a single float point number. If values is nonzero, it enables the corresponding capability.

SEE ALSO
EZ_Color3f(3), EZ_Normal3f(3), EZ_Vertex3f(3), EZ_Lightf(3), EZ_Materialf(3), EZ_DefineLightModel(3)